### Constructor

# ICalGLib VcardParameter new_type

since: 4.0

#### Declaration [src]

    ICalVcardParameter*
    i_cal_vcard_parameter_new_type (
      ICalVcardParameterType value
    )

#### Description [src]

Creates a new `ICalVcardParameter` holding TYPE.

Available since: 4.0

#### Parameters

`value`

  Type: `ICalVcardParameterType`

  The `ICalVcardParameterType` value of the new `ICalVcardParameter`.

#### Return value

Type: `ICalVcardParameter`

A new `ICalVcardParameter` holding TYPE.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.